
<h1> Features </h1>

<h2>Table of Contents</h2>

- [User-Friendly Design](#user-friendly-design)
- [Interfaces](#interfaces)
- [Autonomous Workloads](#autonomous-workloads)
  - [Personal AI-Cloud Workload Example](#personal-ai-cloud-workload-example)

***

## User-Friendly Design

ThreeFold Cloud is not just for tech-savvy individuals or expert system administrators. It's designed to be accessible and user-friendly, ensuring a broad range of IT users (people who administer applications in the cloud) can operate it with ease.

We leapfrog the current state of the cloud, we emphasize simplicity of operation and avoid complicated user interfaces.


## Interfaces

* Chat Interface: 
    * The primary mode of interaction for most users will be the chat interface. This allows users to communicate with their 3Bot using conversational language. The system will be multilingual, accommodating users from various linguistic backgrounds.
* 3Script - The Cloud Language:
    * Beyond conventional languages, ThreeFold Cloud introduces 3Script, a high-level cloud language. It's designed to be straightforward, with basic constructs that simplify the process of setting up and managing your cloud resources.
* Voice:
    * The system will even understand your voice.
    * Your personal AI system translates your voice to 3script and makes sure you have the best of both worlds, convenience of using your own spoken language and auditability of 3script.
* API: 
    * For those looking to delve deeper and develop on the ThreeFold Cloud, there's an Application Programming Interface (API) available.


## Autonomous Workloads

The standout feature of ThreeFold Cloud is its emphasis on autonomous workloads. But what does that mean? Essentially, these are applications or software that operate on your behalf in the cloud. 

Examples range from basic websites to more complex systems like mail servers, CRM systems, or AI-driven platforms. These applications function in a self-driving or autonomous mode, reducing the need for constant manual oversight.

Read the section [Autonomous IT](autonomous_it.md)

### Personal AI-Cloud Workload Example

Within the ThreeFold Cloud ecosystem, a workload represents a specific set of tasks or operations that the system is designed to handle. One such example is the AICloud.

The AICloud is a testament to ThreeFold Cloud's commitment to developing autonomous solutions. Instead of users having to delve into intricate details, specifying requirements like the exact virtual machine configurations, the platform simplifies the process. Users can express their needs in more intuitive terms. For instance, someone might say, "I want an AI cloud equipped with the best chat interface."

The AICloud is designed to be user-centric and adaptive. If a user provides a link containing specific information, the AICloud can ingest this data. This allows for the creation of a personalized chatbot, potentially powered by advanced models like GPT but private, trained specifically on the user's data. The result is a tailored AI chat solution, unique to each user's requirements.

Such capabilities are not just theoretical; they are very much achievable. ThreeFold Cloud is actively working on making them accessible to users, emphasizing ease of use and customization.


